<%-
    default_distro = scope.lookupvar('buildsystem::var::distros::default_distro')
    distros = scope.lookupvar('buildsystem::var::distros::distros')
-%>
[global]
verbose = no
default_parent = <%= scope.lookupvar('buildsystem::var::mgarepo::svn_root_packages') %>/<%= default_distro %>
#url-map = svn\+ssh://svn\.mageia\.org/(.*) file:///\1
tempdir = <%= sched_home_dir %>/repsys/tmp
trunk-dir = <%= default_distro %>
<%-
conf = scope.lookupvar('buildsystem::var::mgarepo::conf')
if conf['global'] != nil
    conf['global'].keys.sort.each{|key|
	value = conf['global'][key]
	-%><%= key %> = <%= value %>
<%-
    }
end
-%>


[log]
oldurl = <%= scope.lookupvar('buildsystem::var::mgarepo::oldurl') %>
# controls up to which revision the rpm changelog
# will be constructed (default zero, i.e., oldest
# commit)
# revision-offset = 0
# commit lines containing this string won't be shown in the changelog:
ignore-string = SILENT

[template]
path = /usr/share/mgarepo/default.chlog

[users]
iurt = Mageia build bot <mageia-sysadm@<%= domain %>>

[submit]
default = <%= default_distro %>
host = <%= scope.lookupvar('buildsystem::var::mgarepo::submit_host') %>

<%-
    distros.keys.sort.each{|d|
	distro = distros[d]
-%>
[submit <%= d %>]
target = <%= sched_home_dir %>/repsys/srpms
allowed = <%= distro['submit_allowed'] %> <%= distro['backports_allowed'] %>
rpm-macros = global <%= d %>

<%-
    }
-%>

[macros global]
# mkrel definition to be removed when rpm-setup is updated on main build node
mkrel(c:) = %{-c: 0.%{-c*}.}%{1}%{?subrel:.%subrel}%{?distsuffix:%distsuffix}%{?!distsuffix:.mga}%{?distro_release:%distro_release}
dist = %{?distsuffix:%distsuffix}%{?!distsuffix:.mga}%{?distro_release:%distro_release}

<%-
    distros.keys.sort.each{|d|
	distro = distros[d]
-%>
[macros <%= d %>]
distro_release = <%= distro['version'] %>
<%-
    	distro['macros'].keys.sort.each{|macro|
	    value = distro['macros'][macro]
	     -%><%= macro %> = <%= value %>
    <%- } %>
<%- }
%>

[helper]
create-srpm = /usr/share/repsys/create-srpm
upload-srpm = /usr/local/bin/mga-youri-submit
# needed by mdvsys 2.0
install-buildrequires = sudo rurpmi --auto --no-suggests 
upload-bin = /usr/local/bin/wrapper.upload-bin

[srpm]
run-prep = yes

[binrepo]
<%- binrepo_hostname = scope.lookupvar('buildsystem::var::binrepo::hostname') -%>
download_url = http://<%= binrepo_hostname %>/
upload_host = <%= binrepo_hostname %>

